%  Only for getting CI;
firsttime=1;
logfile_name='RegressionResultsMen2bRev2.log';
delete(logfile_name);
diary(logfile_name);
addpath('Routines')

load('dat_MEN')
load('datnames_MEN.mat')

selvars={'year' 'less_7'};
x=getvariables(dat,datnames,selvars);
ii=(x(:,1)>2002)&(x(:,2)==0);
dat=dat(ii,:);

diary on
summstats(dat,datnames)
diary off


ynames={'wage_real'};
dnames={'wagesmpl'};
xnames={'mexican' 'age' 'age2' 'exp' 'exp2' 'less_hs'  'some_college' 'college' ...
    'masters'  'vet' 'marital' 'calif' 'arizo' 'texas'  };
yr_names={'year_2004' 'year_2005' 'year_2006' 'year_2007' 'year_2008' 'year_2009' 'year_2010' ...
    'year_2011' 'year_2012' 'year_2013' 'year_2014' 'year_2015' 'year_2016'};


x=getvariables(dat,datnames,xnames);
yr_dummies=getvariables(dat,datnames,yr_names);
x=[x yr_dummies ones(size(x,1),1)];
d=getvariables(dat,datnames,dnames);
y=getvariables(dat,datnames,ynames);


b_heckman=heckman(y,x,d,x);
temp_names={'mexican' 'age' 'age2' 'exp' 'exp2' 'less_hs'  'some_college' 'college' ...
    'masters'  'vet' 'marital' 'calif' 'arizo' 'texas' ...
    'year_2004' 'year_2005' 'year_2006' 'year_2007' 'year_2008' 'year_2009' 'year_2010' ...
    'year_2011' 'year_2012' 'year_2013' 'year_2014' 'year_2015' 'year_2016'  'constant' 'lambda'};
diary on
write_res([b_heckman (0*b_heckman+999)], temp_names,[],'Heckman 2-step')
diary off


bbcv=((-18*2):(2*2))/200;

% calculate objective function
f=find_function2a_total(d,y,x,bbcv);


nrep=1000;

% sub-sampling
bn=15000;
fss1=zeros(nrep,length(bbcv));
fss2=zeros(nrep,length(bbcv));

for irep=1:nrep
    irep
    tic
    ii=datasample(1:length(d),bn,'Replace',false)';
    ff=find_function2a_total(d(ii),y(ii),x(ii,:),bbcv);
    fss1(irep,:)=ff(:,1)';
    fss2(irep,:)=ff(:,2)';
    toc
end

cv=zeros(length(bbcv),2);


for ib=1:length(bbcv)
    cv(ib,1)=quantile(fss1(:,ib),0.05);  
    cv(ib,2)=quantile(fss2(:,ib),0.05);  
end

bbcv( f(:,2) > cv(:,2))
save RegressionResultsMen2b15000Rev2;


    


