cd "L:\Hu11\empirical\Replication Files\Stata\"
clear
clear all
clear mata
program drop _all
cap log close
cap log using ParametricSampleSelectionBoth.log, replace

* Read in the data
 use "mora_expanded_02_01_WOMEN.dta", clear

replace age2=age2/100
replace exp2=exp2/100



local rnames mexican age age2 exp exp2 less_hs  some_college college masters  vet marital calif arizo texas

drop if year<2003 | less_7==1

summ `rnames'


gen trend=0
local i= 2004
while `i'<=2016 {
	replace trend=`i'-2003 if year_`i'==1
	local year_dummies `year_dummies' year_`i'
	local i =`i' + 1
}

* gen trend_mex=trend*mexican

/*
reg wage_real `rnames' `year_dummies' if wagesmpl==1 , robust
 
heckman wage_real mexican , select(wagesmpl = mexican ) 
outreg2 using Heckman_Table, dec(3) replace
heckman wage_real mexican , select(wagesmpl = mexican ) twostep 
outreg2 using Heckman_Table, dec(3) append 
*/

heckman wage_real `rnames' `year_dummies' , select(wagesmpl = `rnames' `year_dummies' ) 
outreg2 using Heckman_Table, dec(3) append
heckman wage_real `rnames' `year_dummies' , select(wagesmpl = `rnames' `year_dummies' ) twostep 
outreg2 using Heckman_Table, dec(3) append 


use "mora_expanded_02_01_MEN.dta", clear

replace age2=age2/100
replace exp2=exp2/100



local rnames mexican age age2 exp exp2 less_hs  some_college college masters  vet marital calif arizo texas

drop if year<2003 | less_7==1

summ `rnames'


gen trend=0
local i= 2004
while `i'<=2016 {
	replace trend=`i'-2003 if year_`i'==1
*	local year_dummies `year_dummies' year_`i'
	local i =`i' + 1
}

* gen trend_mex=trend*mexican

/*
reg wage_real `rnames' `year_dummies' if wagesmpl==1 , robust

heckman wage_real mexican , select(wagesmpl = mexican ) 
outreg2 using Heckman_Table, dec(3) append
heckman wage_real mexican , select(wagesmpl = mexican ) twostep 
outreg2 using Heckman_Table, dec(3) append 
*/
 
heckman wage_real `rnames' `year_dummies' , select(wagesmpl = `rnames' `year_dummies' ) 
outreg2 using Heckman_Table, dec(3)  append
heckman wage_real `rnames' `year_dummies' , select(wagesmpl = `rnames' `year_dummies' ) twostep 
outreg2 using Heckman_Table, dec(3) append tex

cap log close
